struct sockaddr_in {
	sin_family int16
	sin_port   int16
	sin_addr   int64
	sin_zero   int64
}

socket(family int, type int, protocol int) -> int {
	return syscall(41, family, type, protocol)
}

accept(fd int, address *any, length int) -> int {
	return syscall(43, fd, address, length)
}

bind(fd int, address *sockaddr_in, length int) -> int {
	return syscall(49, fd, address, length)
}

listen(fd int, backlog int) -> int {
	return syscall(50, fd, backlog)
}

setsockopt(fd int, level int, optname int, optval *any, optlen int) -> int {
	return syscall(54, fd, level, optname, optval, optlen)
}